## ros-noetic-depthai-ros-msgs 2.6.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10.2)  # CMake version in Ubuntu 18.04 LTS

project (depthai_ros_msgs VERSION 2.6.1)

if(POLICY CMP0057)
    cmake_policy(SET CMP0057 NEW)
endif()

set(catkin_FOUND 1)
add_definitions( -DUSING_ROS )

find_package (catkin REQUIRED COMPONENTS
  geometry_msgs
  message_generation
  sensor_msgs
  std_msgs
  vision_msgs
)

################################################
## Declare ROS messages, services and actions ##
################################################
## Generate messages in the 'msg' folder
add_message_files (
  FILES
  AutoFocusCtrl.msg
  HandLandmark.msg
  HandLandmarkArray.msg
  # ImageMarker.msg
  # ImageMarkerArray.msg
  SpatialDetection.msg
  SpatialDetectionArray.msg
)

## Generate services in the 'srv' folder
add_service_files (
  FILES
  TriggerNamed.srv
  NormalizedImageCrop.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages (
  DEPENDENCIES
  geometry_msgs sensor_msgs std_msgs vision_msgs
)

###################################
## catkin specific configuration ##
###################################
catkin_package (
  CATKIN_DEPENDS geometry_msgs message_runtime sensor_msgs std_msgs vision_msgs
)

=== debian/changelog ===
ros-noetic-depthai-ros-msgs (2.6.1-2buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Sachin Guruswamy <sachin@luxonis.com>  Sun, 29 Jan 2023 16:24:58 -0000

ros-noetic-depthai-ros-msgs (2.5.3-2buster) buster; urgency=high

  * Updated release version
  * moved the depthai bridge position of find package (#115 <https://github.com/luxonis/depthai-ros/issues/115>)
  * Contributors: Sachin, Sachin Guruswamy

 -- Sachin Guruswamy <sachin@luxonis.com>  Sat, 20 Aug 2022 18:30:00 -0000

ros-noetic-depthai-ros-msgs (2.5.2-2buster) buster; urgency=high

  * Upgraded examples
  * Fixed bugs for Noetic

 -- Sachin Guruswamy <sachin@luxonis.com>  Tue, 31 May 2022 18:30:00 -0000

ros-noetic-depthai-ros-msgs (2.5.1-2buster) buster; urgency=high

  * Fix Build farm issues

 -- Sachin Guruswamy <sachin@luxonis.com>  Thu, 19 May 2022 18:30:00 -0000

ros-noetic-depthai-ros-msgs (2.5.0-2buster) buster; urgency=high

  * Release 2.5.0
  * add ament package:
  * created Bridge and Coverters to handle images, IMU and camera Info

 -- Sachin Guruswamy <sachin@luxonis.com>  Thu, 19 May 2022 18:30:00 -0000

=== debian/control ===
Source: ros-noetic-depthai-ros-msgs
Section: misc
Priority: optional
Maintainer: Sachin Guruswamy <sachin@luxonis.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-vision-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-depthai-ros-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-vision-msgs
Description: Package to keep interface independent of the driver

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-depthai-ros-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-depthai-ros-msgs 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.10.2)  # CMake version in Ubuntu 18.04 LTS
 
-project (depthai_ros_msgs VERSION 2.6.1)
+project (depthai_ros_msgs VERSION 2.8.0)
 
 if(POLICY CMP0057)
     cmake_policy(SET CMP0057 NEW)
@@ -30,6 +30,9 @@
   # ImageMarkerArray.msg
   SpatialDetection.msg
   SpatialDetectionArray.msg
+  ImuWithMagneticField.msg
+  TrackedFeature.msg
+  TrackedFeatures.msg
 )
 
 ## Generate services in the 'srv' folder

=== debian/changelog ===
ros-noetic-depthai-ros-msgs (2.8.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Sachin Guruswamy <sachin@luxonis.com>  Thu, 07 Sep 2023 14:06:51 -0000

ros-noetic-depthai-ros-msgs (2.5.3-1focal) focal; urgency=high

  * Updated release version
  * moved the depthai bridge position of find package (#115 <https://github.com/luxonis/depthai-ros/issues/115>)
  * Contributors: Sachin, Sachin Guruswamy

 -- Sachin Guruswamy <sachin@luxonis.com>  Sat, 20 Aug 2022 22:00:00 -0000

ros-noetic-depthai-ros-msgs (2.5.2-1focal) focal; urgency=high

  * Upgraded examples
  * Fixed bugs for Noetic

 -- Sachin Guruswamy <sachin@luxonis.com>  Tue, 31 May 2022 22:00:00 -0000

ros-noetic-depthai-ros-msgs (2.5.1-1focal) focal; urgency=high

  * Fix Build farm issues

 -- Sachin Guruswamy <sachin@luxonis.com>  Thu, 19 May 2022 22:00:00 -0000

ros-noetic-depthai-ros-msgs (2.5.0-1focal) focal; urgency=high

  * Release 2.5.0
  * add ament package:
  * created Bridge and Coverters to handle images, IMU and camera Info

 -- Sachin Guruswamy <sachin@luxonis.com>  Thu, 19 May 2022 22:00:00 -0000
